<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.ordermanager.DICOMSCPSystemsUnderTest']})</h1>
                <s:decorate template="/sut/configurationsTable_common.xhtml">
                    <ui:param name="confman" value="#{scpConfigurationManager}"/>
                    <ui:param name="restrictAccess" value="#{true}"/>
                    <ui:define name="additionalText"/>
                    <ui:define name="filters">
                        <div class="form-horizontal">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="form_template" value="/layout/form/_form_field_horizontal_4-8.xhtml"/>
                                <ui:param name="filterName" value="#{messages['gazelle.HL7Common.Name']}"/>
                                <ui:param name="filterId" value="name"/>
                                <ui:param name="filter" value="#{scpConfigurationManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="form_template" value="/layout/form/_form_field_horizontal_4-8.xhtml"/>
                                <ui:param name="filterName" value="#{messages['gazelle.hl7.SystemsName']}"/>
                                <ui:param name="filterId" value="system"/>
                                <ui:param name="filter" value="#{scpConfigurationManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="form_template" value="/layout/form/_form_field_horizontal_4-8.xhtml"/>
                                <ui:param name="filterName" value="#{messages['gazelle.simu.Owner']}"/>
                                <ui:param name="filterId" value="owner"/>
                                <ui:param name="filter" value="#{scpConfigurationManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.hl7.Usage']}</ui:define>
                                <ui:param name="id" value="usageFilter"/>
                                <h:selectOneMenu value="#{scpConfigurationManager.filteredUsage}"
                                                 id="usageFilter" styleClass="form-control gzl-select-text">
                                    <s:selectItems value="#{scpConfigurationManager.getPossibleListUsages()}"
                                                   var="us" label="#{us.getLabelForFilter()}"
                                                   noSelectionLabel="#{messages['gazelle.hl7.ShowAll']}"/>
                                    <a4j:ajax event="change" render="globalForm"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                        </div>
                    </ui:define>
                    <ui:param name="globalFormId" value="globalForm"/>
                    <ui:define name="additional_columns">
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.ordermanager.AETitle']}</ui:define>
                            <h:outputText value="#{currentConfig.aeTitle}"/>
                        </g:column>
                    </ui:define>
                </s:decorate>
                <s:decorate template="/sut/editSystemConfig_common.xhtml">
                    <ui:param name="confman" value="#{scpConfigurationManager}"/>
                    <ui:param name="restrictAccess" value="true"/>
                    <ui:param name="displayUsageSelection" value="true"/>
                    <ui:param name="displayUrlInput" value="false"/>
                    <ui:define name="additional_attributes">
                        <s:decorate id="aetDec" template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.AETitle']}</ui:define>
                            <ui:param name="id" value="aet"/>
                            <h:inputText id="aet" styleClass="form-control"
                                         value="#{scpConfigurationManager.selectedSystemConfiguration.aeTitle}"
                                         maxlength="15"
                                         required="true"/>
                        </s:decorate>
                        <s:decorate id="editrepositoryIpDecorate" template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['gazelle.HL7Common.IPAddress']}</ui:define>
                            <ui:param name="id" value="ipinput"/>
                            <h:inputText id="ipinput"
                                         value="#{scpConfigurationManager.selectedSystemConfiguration.host}"
                                         styleClass="form-control" maxlength="15"
                                         required="true"/>
                        </s:decorate>
                        <s:decorate id="editrepositoryPortDecorate" template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['gazelle.HL7Common.Port']}</ui:define>
                            <ui:param name="id" value="portInput"/>
                            <h:inputText id="portInput"
                                         value="#{scpConfigurationManager.selectedSystemConfiguration.port}"
                                         styleClass="form-control" maxlength="25"
                                         required="true"/>
                        </s:decorate>
                    </ui:define>
                </s:decorate>
                <ui:include src="/sut/configModalPanel.xhtml">
                    <ui:param name="confman" value="#{scpConfigurationManager}"></ui:param>
                </ui:include>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
